@extends ('layouts.patient')

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center pt-2">
            <h6 class="my-0 text-secondary">
                <a href="/patients/view/{{ $patient->uid }}/care-months" class="small text-decoration-none">
                    <i class="fa fa-chevron-left mr-2"></i>
                </a>
                <span class="font-weight-bold">
                    Care Month</span> starting <span class="text-dark font-weight-bold">{{ friendly_date_time($careMonth->start_date, false) }}
                </span>
            </h6>
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a start show class="py-0 mb-3">Add CM Entry</a>
                <form url="/api/careMonthEntry/createForCm">
                    <input type="hidden" name="careMonthUid" value="{{ $careMonth->uid }}">
                    <div class="mb-2">
                        <input type="text" class="form-control form-control-sm" name="proUid"
                               value="" placeholder="Pro">
                    </div>
                    <div class="mb-2">
                        <input type="date" class="form-control form-control-sm" name="effectiveDate"
                               value="" placeholder="Effective Date">
                    </div>
                    <div class="mb-2">
                        <input type="number" min="0" max="9999" class="form-control form-control-sm" name="timeInSeconds"
                               value="" placeholder="Time in Seconds">
                    </div>
                    <div class="mb-2 d-flex align-items-center">
                        <span>Time Specific:</span>
                        <input type="checkbox" name="isTimeSpecific" class="ml-1">
                    </div>
                    <div class="mb-2">
                        <input type="time" class="form-control form-control-sm" name="startingTime"
                               value="" placeholder="Starting Time">
                    </div>
                    <div class="mb-2">
                        <input type="time" class="form-control form-control-sm" name="endingTime"
                               value="" placeholder="Ending Time">
                    </div>
                    <div class="mb-2">
                        <input type="text" class="form-control form-control-sm" name="contentText"
                               value="" placeholder="Content Text">
                    </div>
                    <div class="mb-2">
                        <input type="text" class="form-control form-control-sm" name="contentDetail"
                               value="" placeholder="Content Detail">
                    </div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a start show class="py-0 mb-3">Add RM Entry</a>
                <form url="/api/careMonthEntry/createForRm">
                    <input type="hidden" name="careMonthUid" value="{{ $careMonth->uid }}">
                    <div class="mb-2">
                        <input type="text" class="form-control form-control-sm" name="proUid"
                               value="" placeholder="Pro">
                    </div>
                    <div class="mb-2">
                        <input type="date" class="form-control form-control-sm" name="effectiveDate"
                               value="" placeholder="Effective Date">
                    </div>
                    <div class="mb-2">
                        <input type="number" min="0" max="9999" class="form-control form-control-sm" name="timeInSeconds"
                               value="" placeholder="Time in Seconds">
                    </div>
                    <div class="mb-2 d-flex align-items-center">
                        <span>Time Specific:</span>
                        <input type="checkbox" name="isTimeSpecific" class="ml-1">
                    </div>
                    <div class="mb-2">
                        <input type="time" class="form-control form-control-sm" name="startingTime"
                               value="" placeholder="Starting Time">
                    </div>
                    <div class="mb-2">
                        <input type="time" class="form-control form-control-sm" name="endingTime"
                               value="" placeholder="Ending Time">
                    </div>
                    <div class="mb-2">
                        <input type="text" class="form-control form-control-sm" name="contentText"
                               value="" placeholder="Content Text">
                    </div>
                    <div class="mb-2">
                        <input type="text" class="form-control form-control-sm" name="contentDetail"
                               value="" placeholder="Content Detail">
                    </div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>

        <hr class="m-negator">

        <?php
        $entries = $careMonth->entries;
        ?>

        <div class="row">
            <div class="col-6">
                <h6 class="my-0 text-secondary font-weight-bold text-dark">CM Time Entries</h6>
                <table class="table table-striped table-sm table-bordered mt-2 mb-0">
                    <thead>
                    <tr>
                        <th class="px-2 text-secondary border-bottom-0">Created</th>
                        <th class="px-2 text-secondary border-bottom-0">Effective Date</th>
                        <th class="px-2 text-secondary border-bottom-0">Time (mins)</th>
                        <th class="px-2 text-secondary border-bottom-0">Details</th>
                        <th class="px-2 text-secondary border-bottom-0 delete-column">&nbsp;</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($entries as $entry)
                        @if($entry->cm_or_rm === "CM")
                        <tr>
                            <td class="px-2">{{friendly_date_time($entry->created_at)}}</td>
                            <td class="px-2">{{friendly_date_time($entry->effective_date)}}</td>
                            <td class="px-2">
                                <div>CM Pro: {{time_in_minsec($entry->achieved_cm_pro_time_in_seconds)}}</div>
                                <div>MCP: {{time_in_minsec($entry->achieved_mcp_time_in_seconds)}}</div>
                                <div>Total: {{time_in_minsec($entry->achieved_total_time_in_seconds)}}</div>
                            </td>
                            <td class="px-2">
                                <em>
                                    <div>content_text</div>
                                    <div>content_detail</div>
                                </em>
                            </td>
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="on-hover-opaque fa fa-trash text-danger"></i></a>
                                    <form url="/api/careMonthEntry/remove" right>
                                        <input type="hidden" name="uid" value="{{ $entry->uid }}">
                                        <p class="small">Are you sure you want to delete this CM entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endif
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="col-6">
                <h6 class="my-0 text-secondary font-weight-bold text-dark">RM Time Entries</h6>
                <table class="table table-striped table-sm table-bordered mt-2 mb-0">
                    <thead>
                    <tr>
                        <th class="px-2 text-secondary border-bottom-0">Created</th>
                        <th class="px-2 text-secondary border-bottom-0">Effective Date</th>
                        <th class="px-2 text-secondary border-bottom-0">Time (mins)</th>
                        <th class="px-2 text-secondary border-bottom-0">Details</th>
                        <th class="px-2 text-secondary border-bottom-0 delete-column">&nbsp;</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($entries as $entry)
                        @if($entry->cm_or_rm === "RM")
                            <tr>
                                <td class="px-2">{{friendly_date_time($entry->created_at)}}</td>
                                <td class="px-2">{{friendly_date_time($entry->effective_date)}}</td>
                                <td class="px-2">
                                    {{--<div>RME Pro: {{time_in_minsec($entry->achieved_rme_pro_time_in_seconds)}}</div>--}}
                                    <div>RMM Pro: {{time_in_minsec($entry->achieved_rmm_pro_time_in_seconds)}}</div>
                                    <div>MCP: {{time_in_minsec($entry->achieved_mcp_time_in_seconds)}}</div>
                                    <div>Total: {{time_in_minsec($entry->achieved_total_time_in_seconds)}}</div>
                                </td>
                                <td class="px-2">
                                    <em>
                                        <div>content_text</div>
                                        <div>content_detail</div>
                                    </em>
                                </td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="on-hover-opaque fa fa-trash text-danger"></i></a>
                                        <form url="/api/careMonthEntry/remove" right>
                                            <input type="hidden" name="uid" value="{{ $entry->uid }}">
                                            <p class="small">Are you sure you want to delete this RM entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endif
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>

    </div>
@endsection
